<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::any('/login', 'CommonController@login');

Route::post('/upload', 'CommonController@upload');
Route::post('/server/store', 'ServerInfoController@store');
Route::get('/{order_type}/{order_id}/comments', 'CommonController@comments');
Route::post('/{order_type}/status', 'CommonController@status');
Route::get('/{order_type}/{id}', 'CommonController@get');
Route::delete('/{order_type}/{id}', 'CommonController@delete');

Route::get('/campaigns', 'CampaignController@list');

Route::get('/products', 'ProductController@list');

Route::post('/house_clean_orders', 'HouseCleanOrderController@list');

Route::post('/house_appliance_clean_orders', 'HouseApplianceCleanOrderController@list');

Route::post('/housekeeper_orders', 'HousekeeperOrderController@list');

Route::post('/maternity_matron_orders', 'MaternityMatronOrderController@list');

Route::post('/product_orders', 'ProductOrderController@list');

Route::group(['middleware' => ['web', 'wechat.oauth']], function () {

    Route::get('/my/orders', 'CommonController@orders');
    Route::post('/{order_type}/{order_id}/comment', 'CommonController@addComment');
    Route::post('/campaign/store', 'CampaignController@store');
    Route::post('/product/store', 'ProductController@store');
    Route::post('/house_clean_order/store', 'HouseCleanOrderController@store');
    Route::post('/house_appliance_clean_order/store', 'HouseApplianceCleanOrderController@store');
    Route::post('/housekeeper_order/store', 'HousekeeperOrderController@store');
    Route::post('/maternity_matron_order/store', 'MaternityMatronOrderController@store');
    Route::post('/product_order/store', 'ProductOrderController@store');

});